Hi, please let us know how we can improve further.

My suggestion is to simply STOP making everyone upgrade to the latest browser version, there are reasons why some people use old versions.

My suggestion is to simply STOP making everyone upgrade to the latest browser version, there are reasons why some people use old versions of a browser, maybe for a plugin compatibility. I am POSITIVE that I do not NEED the absolute latest version of a web browser to view this content. Even though I am on Firefox 15.01 all I get without hacking my user user agent to pretend to be IE9 is an update page...annoying beyond words.

2nd ranked
Vote
Sign in
Signed in as (Sign out)
You have left! (?) (thinking…)
LainLain shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

2 comments

Sign in
Signed in as (Sign out)
Submitting...
  • Vitomir SavicVitomir Savic commented  ·   ·  Flag as inappropriate

    My browser isn't old - Its latest version of Srware Iron.

    Yahoo should recommend IE or Firefox once and that's it. Not every time. Of course theme setting is never saved. :(

  • AnonymousAnonymous commented  ·   ·  Flag as inappropriate

    I'm already using the latest edition of safari and it wants me to download an edition for my mac that doesn't exist?! What is yahoo up to now?! phishing?!

Feedback and Knowledge Base